diff --git a/tests/pytests/unit/states/virt/test_helpers.py b/tests/pytests/unit/states/virt/test_helpers.py
new file mode 100644
index 0000000000..b8e2cb06e2
--- /dev/null
+++ b/tests/pytests/unit/states/virt/test_helpers.py
@@ -0,0 +1,99 @@
+from tests.support.mock import call
+
+
+def network_update_call(
+    name,
+    bridge,
+    forward,
+    vport=None,
+    tag=None,
+    ipv4_config=None,
+    ipv6_config=None,
+    connection=None,
+    username=None,
+    password=None,
+    mtu=None,
+    domain=None,
+    nat=None,
+    interfaces=None,
+    addresses=None,
+    physical_function=None,
+    dns=None,
+    test=False,
+):
+    """
+    Create a call object with the missing default parameters from virt.network_update()
+    """
+    return call(
+        name,
+        bridge,
+        forward,
+        vport=vport,
+        tag=tag,
+        ipv4_config=ipv4_config,
+        ipv6_config=ipv6_config,
+        mtu=mtu,
+        domain=domain,
+        nat=nat,
+        interfaces=interfaces,
+        addresses=addresses,
+        physical_function=physical_function,
+        dns=dns,
+        test=test,
+        connection=connection,
+        username=username,
+        password=password,
+    )
+
+
+def domain_update_call(
+    name,
+    cpu=None,
+    mem=None,
+    disk_profile=None,
+    disks=None,
+    nic_profile=None,
+    interfaces=None,
+    graphics=None,
+    connection=None,
+    username=None,
+    password=None,
+    boot=None,
+    numatune=None,
+    boot_dev=None,
+    hypervisor_features=None,
+    clock=None,
+    serials=None,
+    consoles=None,
+    stop_on_reboot=False,
+    live=True,
+    host_devices=None,
+    test=False,
+):
+    """
+    Create a call object with the missing default parameters from virt.update()
+    """
+    return call(
+        name,
+        cpu=cpu,
+        mem=mem,
+        disk_profile=disk_profile,
+        disks=disks,
+        nic_profile=nic_profile,
+        interfaces=interfaces,
+        graphics=graphics,
+        live=live,
+        connection=connection,
+        username=username,
+        password=password,
+        boot=boot,
+        numatune=numatune,
+        serials=serials,
+        consoles=consoles,
+        test=test,
+        boot_dev=boot_dev,
+        hypervisor_features=hypervisor_features,
+        clock=clock,
+        stop_on_reboot=stop_on_reboot,
+        host_devices=host_devices,
+    )
diff --git a/tests/pytests/unit/states/virt/test_network.py b/tests/pytests/unit/states/virt/test_network.py
new file mode 100644
index 0000000000..668eee0c64
--- /dev/null
+++ b/tests/pytests/unit/states/virt/test_network.py
@@ -0,0 +1,476 @@
+import salt.states.virt as virt
+from tests.support.mock import MagicMock, patch
+
+from .test_helpers import network_update_call
+
+
+def test_network_defined_not_existing(test):
+    """
+    network_defined state tests if the network doesn't exist yet.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        define_mock = MagicMock(return_value=True)
+        with patch.dict(
+            virt.__salt__,
+            {
+                "virt.network_info": MagicMock(
+                    side_effect=[{}, {"mynet": {"active": False}}]
+                ),
+                "virt.network_define": define_mock,
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {"mynet": "Network defined"},
+                "result": None if test else True,
+                "comment": "Network mynet defined",
+            } == virt.network_defined(
+                "mynet",
+                "br2",
+                "bridge",
+                vport="openvswitch",
+                tag=180,
+                ipv4_config={
+                    "cidr": "192.168.2.0/24",
+                    "dhcp_ranges": [
+                        {"start": "192.168.2.10", "end": "192.168.2.25"},
+                        {"start": "192.168.2.110", "end": "192.168.2.125"},
+                    ],
+                },
+                ipv6_config={
+                    "cidr": "2001:db8:ca2:2::1/64",
+                    "dhcp_ranges": [
+                        {"start": "2001:db8:ca2:1::10", "end": "2001:db8:ca2::1f"},
+                    ],
+                },
+                mtu=9000,
+                domain={"name": "acme.lab"},
+                nat={"ports": {"start": 1024, "end": 2048}},
+                interfaces="eth0 eth1",
+                addresses="0000:01:02.4 0000:01:02.5",
+                physical_function="eth4",
+                dns={
+                    "hosts": {
+                        "192.168.2.10": {"name": "web", "mac": "de:ad:be:ef:00:00"}
+                    }
+                },
+                autostart=False,
+                connection="myconnection",
+                username="user",
+                password="secret",
+            )
+            if not test:
+                define_mock.assert_called_with(
+                    "mynet",
+                    "br2",
+                    "bridge",
+                    vport="openvswitch",
+                    tag=180,
+                    autostart=False,
+                    start=False,
+                    ipv4_config={
+                        "cidr": "192.168.2.0/24",
+                        "dhcp_ranges": [
+                            {"start": "192.168.2.10", "end": "192.168.2.25"},
+                            {"start": "192.168.2.110", "end": "192.168.2.125"},
+                        ],
+                    },
+                    ipv6_config={
+                        "cidr": "2001:db8:ca2:2::1/64",
+                        "dhcp_ranges": [
+                            {"start": "2001:db8:ca2:1::10", "end": "2001:db8:ca2::1f"},
+                        ],
+                    },
+                    mtu=9000,
+                    domain={"name": "acme.lab"},
+                    nat={"ports": {"start": 1024, "end": 2048}},
+                    interfaces="eth0 eth1",
+                    addresses="0000:01:02.4 0000:01:02.5",
+                    physical_function="eth4",
+                    dns={
+                        "hosts": {
+                            "192.168.2.10": {"name": "web", "mac": "de:ad:be:ef:00:00"}
+                        }
+                    },
+                    connection="myconnection",
+                    username="user",
+                    password="secret",
+                )
+            else:
+                define_mock.assert_not_called()
+
+
+def test_network_defined_no_change(test):
+    """
+    network_defined state tests if the network doesn't need update.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        define_mock = MagicMock(return_value=True)
+        update_mock = MagicMock(return_value=False)
+        with patch.dict(
+            virt.__salt__,
+            {
+                "virt.network_info": MagicMock(
+                    return_value={"mynet": {"active": True, "autostart": True}}
+                ),
+                "virt.network_define": define_mock,
+                "virt.network_update": update_mock,
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {},
+                "result": True,
+                "comment": "Network mynet unchanged",
+            } == virt.network_defined("mynet", "br2", "bridge")
+            define_mock.assert_not_called()
+            assert [
+                network_update_call("mynet", "br2", "bridge", test=True)
+            ] == update_mock.call_args_list
+
+
+def test_network_defined_change(test):
+    """
+    network_defined state tests if the network needs update.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        define_mock = MagicMock(return_value=True)
+        update_mock = MagicMock(return_value=True)
+        autostart_mock = MagicMock(return_value=True)
+        with patch.dict(
+            virt.__salt__,
+            {
+                "virt.network_info": MagicMock(
+                    return_value={"mynet": {"active": True, "autostart": True}}
+                ),
+                "virt.network_define": define_mock,
+                "virt.network_update": update_mock,
+                "virt.network_set_autostart": autostart_mock,
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {"mynet": "Network updated, autostart flag changed"},
+                "result": None if test else True,
+                "comment": "Network mynet updated, autostart flag changed",
+            } == virt.network_defined(
+                "mynet",
+                "br2",
+                "bridge",
+                vport="openvswitch",
+                tag=180,
+                ipv4_config={
+                    "cidr": "192.168.2.0/24",
+                    "dhcp_ranges": [
+                        {"start": "192.168.2.10", "end": "192.168.2.25"},
+                        {"start": "192.168.2.110", "end": "192.168.2.125"},
+                    ],
+                },
+                ipv6_config={
+                    "cidr": "2001:db8:ca2:2::1/64",
+                    "dhcp_ranges": [
+                        {"start": "2001:db8:ca2:1::10", "end": "2001:db8:ca2::1f"},
+                    ],
+                },
+                mtu=9000,
+                domain={"name": "acme.lab"},
+                nat={"ports": {"start": 1024, "end": 2048}},
+                interfaces="eth0 eth1",
+                addresses="0000:01:02.4 0000:01:02.5",
+                physical_function="eth4",
+                dns={
+                    "hosts": {
+                        "192.168.2.10": {"name": "web", "mac": "de:ad:be:ef:00:00"}
+                    }
+                },
+                autostart=False,
+                connection="myconnection",
+                username="user",
+                password="secret",
+            )
+            define_mock.assert_not_called()
+            expected_update_kwargs = {
+                "vport": "openvswitch",
+                "tag": 180,
+                "ipv4_config": {
+                    "cidr": "192.168.2.0/24",
+                    "dhcp_ranges": [
+                        {"start": "192.168.2.10", "end": "192.168.2.25"},
+                        {"start": "192.168.2.110", "end": "192.168.2.125"},
+                    ],
+                },
+                "ipv6_config": {
+                    "cidr": "2001:db8:ca2:2::1/64",
+                    "dhcp_ranges": [
+                        {"start": "2001:db8:ca2:1::10", "end": "2001:db8:ca2::1f"},
+                    ],
+                },
+                "mtu": 9000,
+                "domain": {"name": "acme.lab"},
+                "nat": {"ports": {"start": 1024, "end": 2048}},
+                "interfaces": "eth0 eth1",
+                "addresses": "0000:01:02.4 0000:01:02.5",
+                "physical_function": "eth4",
+                "dns": {
+                    "hosts": {
+                        "192.168.2.10": {"name": "web", "mac": "de:ad:be:ef:00:00"}
+                    }
+                },
+                "connection": "myconnection",
+                "username": "user",
+                "password": "secret",
+            }
+            calls = [
+                network_update_call(
+                    "mynet", "br2", "bridge", **expected_update_kwargs, test=True
+                )
+            ]
+            if test:
+                assert calls == update_mock.call_args_list
+                autostart_mock.assert_not_called()
+            else:
+                calls.append(
+                    network_update_call(
+                        "mynet", "br2", "bridge", **expected_update_kwargs, test=False
+                    )
+                )
+                assert calls == update_mock.call_args_list
+                autostart_mock.assert_called_with(
+                    "mynet",
+                    state="off",
+                    connection="myconnection",
+                    username="user",
+                    password="secret",
+                )
+
+
+def test_network_defined_error(test):
+    """
+    network_defined state tests if an error is triggered by libvirt.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        define_mock = MagicMock(return_value=True)
+        with patch.dict(
+            virt.__salt__,
+            {
+                "virt.network_info": MagicMock(
+                    side_effect=virt.libvirt.libvirtError("Some error")
+                )
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {},
+                "result": False,
+                "comment": "Some error",
+            } == virt.network_defined("mynet", "br2", "bridge")
+            define_mock.assert_not_called()
+
+
+def test_network_running_not_existing(test):
+    """
+    network_running state test cases, non-existing network case.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        define_mock = MagicMock(return_value=True)
+        start_mock = MagicMock(return_value=True)
+        # Non-existing network case
+        with patch.dict(
+            virt.__salt__,
+            {
+                "virt.network_info": MagicMock(
+                    side_effect=[{}, {"mynet": {"active": False}}]
+                ),
+                "virt.network_define": define_mock,
+                "virt.network_start": start_mock,
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {"mynet": "Network defined and started"},
+                "comment": "Network mynet defined and started",
+                "result": None if test else True,
+            } == virt.network_running(
+                "mynet",
+                "br2",
+                "bridge",
+                vport="openvswitch",
+                tag=180,
+                ipv4_config={
+                    "cidr": "192.168.2.0/24",
+                    "dhcp_ranges": [
+                        {"start": "192.168.2.10", "end": "192.168.2.25"},
+                        {"start": "192.168.2.110", "end": "192.168.2.125"},
+                    ],
+                },
+                ipv6_config={
+                    "cidr": "2001:db8:ca2:2::1/64",
+                    "dhcp_ranges": [
+                        {"start": "2001:db8:ca2:1::10", "end": "2001:db8:ca2::1f"},
+                    ],
+                },
+                mtu=9000,
+                domain={"name": "acme.lab"},
+                nat={"ports": {"start": 1024, "end": 2048}},
+                interfaces="eth0 eth1",
+                addresses="0000:01:02.4 0000:01:02.5",
+                physical_function="eth4",
+                dns={
+                    "hosts": {
+                        "192.168.2.10": {"name": "web", "mac": "de:ad:be:ef:00:00"}
+                    }
+                },
+                autostart=False,
+                connection="myconnection",
+                username="user",
+                password="secret",
+            )
+            if not test:
+                define_mock.assert_called_with(
+                    "mynet",
+                    "br2",
+                    "bridge",
+                    vport="openvswitch",
+                    tag=180,
+                    autostart=False,
+                    start=False,
+                    ipv4_config={
+                        "cidr": "192.168.2.0/24",
+                        "dhcp_ranges": [
+                            {"start": "192.168.2.10", "end": "192.168.2.25"},
+                            {"start": "192.168.2.110", "end": "192.168.2.125"},
+                        ],
+                    },
+                    ipv6_config={
+                        "cidr": "2001:db8:ca2:2::1/64",
+                        "dhcp_ranges": [
+                            {"start": "2001:db8:ca2:1::10", "end": "2001:db8:ca2::1f"},
+                        ],
+                    },
+                    mtu=9000,
+                    domain={"name": "acme.lab"},
+                    nat={"ports": {"start": 1024, "end": 2048}},
+                    interfaces="eth0 eth1",
+                    addresses="0000:01:02.4 0000:01:02.5",
+                    physical_function="eth4",
+                    dns={
+                        "hosts": {
+                            "192.168.2.10": {"name": "web", "mac": "de:ad:be:ef:00:00"}
+                        }
+                    },
+                    connection="myconnection",
+                    username="user",
+                    password="secret",
+                )
+                start_mock.assert_called_with(
+                    "mynet",
+                    connection="myconnection",
+                    username="user",
+                    password="secret",
+                )
+            else:
+                define_mock.assert_not_called()
+                start_mock.assert_not_called()
+
+
+def test_network_running_nochange(test):
+    """
+    network_running state test cases, no change case case.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        define_mock = MagicMock(return_value=True)
+        update_mock = MagicMock(return_value=False)
+        with patch.dict(
+            virt.__salt__,
+            {
+                "virt.network_info": MagicMock(
+                    return_value={"mynet": {"active": True, "autostart": True}}
+                ),
+                "virt.network_define": define_mock,
+                "virt.network_update": update_mock,
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {},
+                "comment": "Network mynet unchanged and is running",
+                "result": None if test else True,
+            } == virt.network_running("mynet", "br2", "bridge")
+            assert [
+                network_update_call("mynet", "br2", "bridge", test=True)
+            ] == update_mock.call_args_list
+
+
+def test_network_running_stopped(test):
+    """
+    network_running state test cases, network stopped case.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        define_mock = MagicMock(return_value=True)
+        start_mock = MagicMock(return_value=True)
+        update_mock = MagicMock(return_value=False)
+        with patch.dict(
+            virt.__salt__,
+            {  # pylint: disable=no-member
+                "virt.network_info": MagicMock(
+                    return_value={"mynet": {"active": False, "autostart": True}}
+                ),
+                "virt.network_start": start_mock,
+                "virt.network_define": define_mock,
+                "virt.network_update": update_mock,
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {"mynet": "Network started"},
+                "comment": "Network mynet unchanged and started",
+                "result": None if test else True,
+            } == virt.network_running(
+                "mynet",
+                "br2",
+                "bridge",
+                connection="myconnection",
+                username="user",
+                password="secret",
+            )
+            assert [
+                network_update_call(
+                    "mynet",
+                    "br2",
+                    "bridge",
+                    connection="myconnection",
+                    username="user",
+                    password="secret",
+                    test=True,
+                )
+            ] == update_mock.call_args_list
+            if not test:
+                start_mock.assert_called_with(
+                    "mynet",
+                    connection="myconnection",
+                    username="user",
+                    password="secret",
+                )
+            else:
+                start_mock.assert_not_called()
+
+
+def test_network_running_error(test):
+    """
+    network_running state test cases, libvirt error case.
+    """
+    with patch.dict(virt.__opts__, {"test": test}):
+        with patch.dict(
+            virt.__salt__,
+            {
+                "virt.network_info": MagicMock(
+                    side_effect=virt.libvirt.libvirtError("Some error")
+                ),
+            },
+        ):
+            assert {
+                "name": "mynet",
+                "changes": {},
+                "comment": "Some error",
+                "result": False,
+            } == virt.network_running("mynet", "br2", "bridge")
diff --git a/tests/pytests/unit/utils/test_xmlutil.py b/tests/pytests/unit/utils/test_xmlutil.py
index 2bcaff3a17..aed3e42e06 100644
--- a/tests/pytests/unit/utils/test_xmlutil.py
+++ b/tests/pytests/unit/utils/test_xmlutil.py
@@ -208,3 +208,17 @@ def test_change_xml_template_list(xml_doc):
     assert ["1024", "512"] == [
         n.get("size") for n in xml_doc.findall("memtune/hugepages/page")
     ]
+
+
+def test_strip_spaces():
+    xml_str = """<domain>
+            <name>test01</name>
+            <memory unit="MiB" >1024</memory> 
+        </domain>
+    """
+    expected_str = (
+        b'<domain><name>test01</name><memory unit="MiB">1024</memory></domain>'
+    )
+
+    node = ET.fromstring(xml_str)
+    assert expected_str == ET.tostring(xml.strip_spaces(node))
diff --git a/tests/unit/modules/test_virt.py b/tests/unit/modules/test_virt.py
index 59fa6b676e..4d9ea2501a 100644
--- a/tests/unit/modules/test_virt.py
+++ b/tests/unit/modules/test_virt.py
@@ -104,7 +104,7 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
         mock_domain.name.return_value = name
         return mock_domain
 
-    def assertEqualUnit(self, actual, expected, unit="KiB"):
+    def assert_equal_unit(self, actual, expected, unit="KiB"):
         self.assertEqual(actual.get("unit"), unit)
         self.assertEqual(actual.text, str(expected))
 
@@ -537,7 +537,7 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                 "swap_hard_limit": "1g",
                 "min_guarantee": "256m",
                 "hugepages": [
-                    {"nodeset": "", "size": "128m"},
+                    {"size": "128m"},
                     {"nodeset": "0", "size": "256m"},
                     {"nodeset": "1", "size": "512m"},
                 ],
@@ -555,14 +555,14 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
             "x86_64",
         )
         root = ET.fromstring(xml_data)
-        self.assertEqualUnit(root.find("memory"), 512 * 1024)
-        self.assertEqualUnit(root.find("currentMemory"), 256 * 1024)
-        self.assertEqualUnit(root.find("maxMemory"), 1024 * 1024)
+        self.assert_equal_unit(root.find("memory"), 512 * 1024)
+        self.assert_equal_unit(root.find("currentMemory"), 256 * 1024)
+        self.assert_equal_unit(root.find("maxMemory"), 1024 * 1024)
         self.assertFalse("slots" in root.find("maxMemory").keys())
-        self.assertEqualUnit(root.find("memtune/hard_limit"), 1024 * 1024)
-        self.assertEqualUnit(root.find("memtune/soft_limit"), 512 * 1024)
-        self.assertEqualUnit(root.find("memtune/swap_hard_limit"), 1024 ** 2)
-        self.assertEqualUnit(root.find("memtune/min_guarantee"), 256 * 1024)
+        self.assert_equal_unit(root.find("memtune/hard_limit"), 1024 * 1024)
+        self.assert_equal_unit(root.find("memtune/soft_limit"), 512 * 1024)
+        self.assert_equal_unit(root.find("memtune/swap_hard_limit"), 1024 ** 2)
+        self.assert_equal_unit(root.find("memtune/min_guarantee"), 256 * 1024)
         self.assertEqual(
             [
                 {"nodeset": page.get("nodeset"), "size": page.get("size")}
@@ -1772,70 +1772,6 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
             ],
         )
 
-    def test_diff_nics(self):
-        """
-        Test virt._diff_nics()
-        """
-        old_nics = ET.fromstring(
-            """
-            <devices>
-               <interface type='network'>
-                 <mac address='52:54:00:39:02:b1'/>
-                 <source network='default'/>
-                 <model type='virtio'/>
-                 <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
-               </interface>
-               <interface type='network'>
-                 <mac address='52:54:00:39:02:b2'/>
-                 <source network='admin'/>
-                 <model type='virtio'/>
-                 <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
-               </interface>
-               <interface type='network'>
-                 <mac address='52:54:00:39:02:b3'/>
-                 <source network='admin'/>
-                 <model type='virtio'/>
-                 <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
-               </interface>
-            </devices>
-        """
-        ).findall("interface")
-
-        new_nics = ET.fromstring(
-            """
-            <devices>
-               <interface type='network'>
-                 <mac address='52:54:00:39:02:b1'/>
-                 <source network='default'/>
-                 <model type='virtio'/>
-               </interface>
-               <interface type='network'>
-                 <mac address='52:54:00:39:02:b2'/>
-                 <source network='default'/>
-                 <model type='virtio'/>
-               </interface>
-               <interface type='network'>
-                 <mac address='52:54:00:39:02:b4'/>
-                 <source network='admin'/>
-                 <model type='virtio'/>
-               </interface>
-            </devices>
-        """
-        ).findall("interface")
-        ret = virt._diff_interface_lists(old_nics, new_nics)
-        self.assertEqual(
-            [nic.find("mac").get("address") for nic in ret["unchanged"]],
-            ["52:54:00:39:02:b1"],
-        )
-        self.assertEqual(
-            [nic.find("mac").get("address") for nic in ret["new"]],
-            ["52:54:00:39:02:b2", "52:54:00:39:02:b4"],
-        )
-        self.assertEqual(
-            [nic.find("mac").get("address") for nic in ret["deleted"]],
-            ["52:54:00:39:02:b2", "52:54:00:39:02:b3"],
-        )
-
     def test_init(self):
         """
         Test init() function
@@ -4901,59 +4837,6 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
 
         self.assertEqual(expected, caps)
 
-    def test_network(self):
-        """
-        Test virt._get_net_xml()
-        """
-        xml_data = virt._gen_net_xml("network", "main", "bridge", "openvswitch")
-        root = ET.fromstring(xml_data)
-        self.assertEqual(root.find("name").text, "network")
-        self.assertEqual(root.find("bridge").attrib["name"], "main")
-        self.assertEqual(root.find("forward").attrib["mode"], "bridge")
-        self.assertEqual(root.find("virtualport").attrib["type"], "openvswitch")
-
-    def test_network_nat(self):
-        """
-        Test virt._get_net_xml() in a nat setup
-        """
-        xml_data = virt._gen_net_xml(
-            "network",
-            "main",
-            "nat",
-            None,
-            ip_configs=[
-                {
-                    "cidr": "192.168.2.0/24",
-                    "dhcp_ranges": [
-                        {"start": "192.168.2.10", "end": "192.168.2.25"},
-                        {"start": "192.168.2.110", "end": "192.168.2.125"},
-                    ],
-                }
-            ],
-        )
-        root = ET.fromstring(xml_data)
-        self.assertEqual(root.find("name").text, "network")
-        self.assertEqual(root.find("bridge").attrib["name"], "main")
-        self.assertEqual(root.find("forward").attrib["mode"], "nat")
-        self.assertEqual(
-            root.find("./ip[@address='192.168.2.0']").attrib["prefix"], "24"
-        )
-        self.assertEqual(
-            root.find("./ip[@address='192.168.2.0']").attrib["family"], "ipv4"
-        )
-        self.assertEqual(
-            root.find(
-                "./ip[@address='192.168.2.0']/dhcp/range[@start='192.168.2.10']"
-            ).attrib["end"],
-            "192.168.2.25",
-        )
-        self.assertEqual(
-            root.find(
-                "./ip[@address='192.168.2.0']/dhcp/range[@start='192.168.2.110']"
-            ).attrib["end"],
-            "192.168.2.125",
-        )
-
     def test_domain_capabilities(self):
         """
         Test the virt.domain_capabilities parsing
diff --git a/tests/unit/states/test_virt.py b/tests/unit/states/test_virt.py
index dadc6dd08e..2ab73f8af4 100644
--- a/tests/unit/states/test_virt.py
+++ b/tests/unit/states/test_virt.py
@@ -7,7 +7,7 @@ import tempfile
 
 import salt.states.virt as virt
 import salt.utils.files
-from salt.exceptions import CommandExecutionError, SaltInvocationError
+from salt.exceptions import SaltInvocationError
 from tests.support.mixins import LoaderModuleMockMixin
 from tests.support.mock import MagicMock, mock_open, patch
 from tests.support.runtests import RUNTIME_VARS
